=== debian/changelog ===
hoel (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #123456)
  * TODO: ITP
  * TODO: debian/copyright

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 18 Jul 2017 14:32:33 +0200
