=== debian/control ===
Source: hoel
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10)
	, liborcania-dev
	, libyder-dev
	, libjansson-dev
	, libsqlite3-dev
	, libpq-dev
	, libmariadbclient-dev
Standards-Version: 4.0.0
Homepage: https://github.com/babelouest/yder
#Vcs-Git: https://anonscm.debian.org/collab-maint/oauth2-server.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/oauth2-server.git

Package: libhoel1.1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: database abstraction library written in C
 Simple and easy to use database access library. Works with SQLite 3, 
 MariaDB/Mysql and (barely) PostgreSQL databases. Uses a json-based 
 language with jansson to execute simples queries based on one table.

Package: libhoel-dev
Architecture: any
Section: libdevel
Depends: libhoel1.1 (= ${binary:Version})
        , ${misc:Depends}
        , libjansson-dev
	, liborcania-dev
	, libyder-dev
	, libsqlite3-dev
	, libpq-dev
	, libmariadbclient-dev
Description: database abstraction library written in C - development
 Simple and easy to use database access library. Works with SQLite 3, 
 MariaDB/Mysql and (barely) PostgreSQL databases. Uses a json-based 
 language with jansson to execute simples queries based on one table.
 .
 This package contains the development files.
