=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Ulfius Framework
+# Hoel Framework
 #
 # Makefile used to build the software
 #
@@ -20,23 +20,23 @@
 #
 CC=gcc
 
-# uncomment these lines if you want sqlite support
+# comment/uncomment these lines to disable/enable sqlite3 support
 FLAGS_SQLITE=-D_HOEL_SQLITE
 LIBS_SQLITE=-lsqlite3
 
-# uncomment these lines if you want sqlite support
-FLAGS_MARIADB=-D_HOEL_MARIADB -I/usr/include/mysql/
-LIBS_MARIADB=-lmysqlclient
+# comment/uncomment these lines to disable/enable mysql/mariadb support
+FLAGS_MARIADB=-D_HOEL_MARIADB $(shell mysql_config --cflags)
+LIBS_MARIADB=$(shell mysql_config --libs_r)
 
-# uncomment these lines if you want sqlite support
-# FLAGS_PGSQL=-D_HOEL_PGSQL -I/usr/include/postgresql/
-# LIBS_PGSQL=-lpq
+# comment/uncomment these lines to disable/enable postgresql support
+FLAGS_PGSQL=-D_HOEL_PGSQL -I/usr/include/postgresql/
+LIBS_PGSQL=-lpq
 
 PREFIX=/usr/local
 CFLAGS=-c -fPIC -Wall -I$(PREFIX)/include $(FLAGS_SQLITE) $(FLAGS_MARIADB) $(FLAGS_PGSQL) -D_REENTRANT $(ADDITIONALFLAGS)
 LIBS=-L$(PREFIX)/lib -lc -ljansson -lyder -lorcania $(LIBS_SQLITE) $(LIBS_PGSQL) $(LIBS_MARIADB)
 OUTPUT=libhoel.so
-VERSION=1.1
+VERSION=1.2
 
 all: release
 
@@ -59,16 +59,23 @@
 	$(CC) -shared -Wl,-soname,$(OUTPUT) -o $(OUTPUT).$(VERSION) hoel-sqlite.o hoel-mariadb.o hoel-pgsql.o hoel-simple-json.o hoel.o $(LIBS)
 	ln -sf $(OUTPUT).$(VERSION) $(OUTPUT)
 
+libhoel.a: hoel-sqlite.o hoel-mariadb.o hoel-pgsql.o hoel-simple-json.o hoel.o
+	ar rcs libhoel.a hoel-sqlite.o hoel-mariadb.o hoel-pgsql.o hoel-simple-json.o hoel.o
+
 clean:
-	rm -f *.o *.so $(OUTPUT) $(OUTPUT).*
+	rm -f *.o *.so *.a $(OUTPUT) $(OUTPUT).*
 
 install: all
 	cp $(OUTPUT).$(VERSION) $(PREFIX)/lib
 	cp hoel.h $(PREFIX)/include
-	/sbin/ldconfig -r $(PREFIX)
+	/sbin/ldconfig
+
+static-install: static
+	cp libhoel.a $(PREFIX)/lib
+	cp hoel.h $(PREFIX)/include
 
 uninstall:
-	rm -f $(PREFIX)/lib/$(OUTPUT)
+	rm -f $(PREFIX)/lib/$(OUTPUT) $(PREFIX)/lib/libhoel.a
 	rm -f $(PREFIX)/lib/$(OUTPUT).*
 	rm -f $(PREFIX)/include/hoel.h
 
@@ -79,3 +86,11 @@
 release: ADDITIONALFLAGS=-O3
 
 release: libhoel.so
+
+static-debug: ADDITIONALFLAGS=-DDEBUG -g -O0
+
+static-debug: libhoel.a
+
+static: ADDITIONALFLAGS=-O3
+
+static: libhoel.a
