=== debian/changelog ===
hoel (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: move to debian-iot group
  * debian/control: bump soname of libhoel to 1.2

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Oct 2017 19:25:48 +0200

hoel (1.1.2-1) unstable; urgency=medium

  * new upstream version
  * change homepage URL (Closes: #869933)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: add VCS URLs
  * refresh patches

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Sep 2017 17:17:33 +0200
