=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hoel
 Section: devel
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 10)
 	, liborcania-dev
 	, libyder-dev
@@ -9,12 +10,12 @@
 	, libsqlite3-dev
 	, libpq-dev
 	, libmariadbclient-dev
-Standards-Version: 4.0.0
-Homepage: https://github.com/babelouest/yder
-#Vcs-Git: https://anonscm.debian.org/collab-maint/oauth2-server.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/oauth2-server.git
+Standards-Version: 4.1.0
+Homepage: https://github.com/babelouest/hoel
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/hoel.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/hoel.git
 
-Package: libhoel1.1
+Package: libhoel1.2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -26,7 +27,7 @@
 Package: libhoel-dev
 Architecture: any
 Section: libdevel
-Depends: libhoel1.1 (= ${binary:Version})
+Depends: libhoel1.2 (= ${binary:Version})
         , ${misc:Depends}
         , libjansson-dev
 	, liborcania-dev
