=== examples/Makefile ===
--- 
+++ 
@@ -13,11 +13,10 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU GENERAL PUBLIC LICENSE for more details.
 #
-PREFIX=/usr/local/angharad
 CC=gcc
 CFLAGS=-c -Wall -D_REENTRANT -I$(PREFIX)/include $(ADDITIONALFLAGS)
 HOEL_LOCATION=../src
-LIBS=-lc -lhoel -ljansson -lyder -L$(PREFIX)/lib -L$(HOEL_LOCATION)
+LIBS=-lc -lhoel -ljansson -lyder -L$(HOEL_LOCATION)
 ADDITIONALFLAGS=-O3
 
 all: libhoel.so example_sqlite3 example_mariadb example_pgsql example_mariadb_json
@@ -48,8 +47,16 @@
 	$(CC) -c $(CFLAGS) example_mariadb_json.c
 	$(CC) -o example_mariadb_json example_mariadb_json.o $(LIBS)
 
-test: example_sqlite3 example_mariadb example_pgsql
+test: test_pgsql test_mariadb test_sqlite3 test_mariadb_json
+
+test_pgsql: example_pgsql
 	LD_LIBRARY_PATH=$(HOEL_LOCATION):${LD_LIBRARY_PATH} ./example_pgsql
+
+test_mariadb: example_mariadb
 	LD_LIBRARY_PATH=$(HOEL_LOCATION):${LD_LIBRARY_PATH} ./example_mariadb
+
+test_sqlite3: example_sqlite3
 	LD_LIBRARY_PATH=$(HOEL_LOCATION):${LD_LIBRARY_PATH} ./example_sqlite3
+
+test_mariadb_json: example_mariadb_json
 	LD_LIBRARY_PATH=$(HOEL_LOCATION):${LD_LIBRARY_PATH} ./example_mariadb_json
