=== debian/changelog ===
hoel (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jan 2018 18:31:49 +0100
