=== debian/changelog ===
hoel (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * Install examples and README.md
  * debian/rules: use cmake as buildsystem
  * debian/copyright: add cmake scripts

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 28 Apr 2018 14:09:25 -0400

hoel (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <mail@babelouest.org>  Mon, 02 Apr 2018 09:59:11 -0400
