=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
+          , Nicolas Mora <nicolas@babelouest.org>
 Build-Depends: debhelper (>= 11)
 	, liborcania-dev
 	, libyder-dev
@@ -10,12 +11,13 @@
 	, libsqlite3-dev
 	, libpq-dev
 	, libmariadbclient-dev
+  , cmake
 Standards-Version: 4.1.3
 Homepage: https://github.com/babelouest/hoel
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/hoel.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/hoel.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
+Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
 
-Package: libhoel1.3
+Package: libhoel1.4
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +30,7 @@
 Package: libhoel-dev
 Architecture: any
 Section: libdevel
-Depends: libhoel1.3 (= ${binary:Version})
+Depends: libhoel1.4 (= ${binary:Version})
         , ${misc:Depends}
         , libjansson-dev
 	, liborcania-dev
