## hoel 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,14 +24,16 @@
 # library info
 
 set(PROJECT_DESCRIPTION "C Database abstraction library with json based language")
+set(PROJECT_HOMEPAGE_URL "https://github.com/babelouest/hoel/")
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/hoel/issues")
-
 set(LIBRARY_VERSION_MAJOR "1")
 set(LIBRARY_VERSION_MINOR "4")
-set(LIBRARY_VERSION_PATCH "2")
+set(LIBRARY_VERSION_PATCH "4")
+set(YDER_VERSION_DOWNLOAD "1.4.2")
+
+set(PROJECT_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}")
-set(YDER_VERSION_DOWNLOAD "1.3.3")
 
 # cmake modules
 
@@ -129,6 +131,18 @@
   MESSAGE(FATAL_ERROR "You must enable at least one databasse backend: Sqlite3, MariaDB/MySQL or PostgreSQL")
 endif ()
 
+set (PKGCONF_REQ "")
+set (PKGCONF_REQ_PRIVATE "liborcania, libyder")
+if (WITH_SQLITE3)
+  set (PKGCONF_REQ_PRIVATE "${PKGCONF_REQ_PRIVATE}, sqlite3")
+endif ()
+if (WITH_MARIADB)
+  set (PKGCONF_REQ_PRIVATE "${PKGCONF_REQ_PRIVATE}, mariadb")
+endif ()
+if (WITH_PGSQL)
+  set (PKGCONF_REQ_PRIVATE "${PKGCONF_REQ_PRIVATE}, libpq")
+endif ()
+
 # static library
 
 option(BUILD_STATIC "Build static library." OFF)
@@ -137,7 +151,7 @@
     add_library(hoel_static STATIC ${LIB_SRC})
     target_compile_definitions(hoel_static PUBLIC -DO_STATIC_LIBRARY)
     set_target_properties(hoel_static PROPERTIES
-            OUTPUT_NAME libhoel)
+            OUTPUT_NAME hoel)
 endif ()
 
 # shared library
@@ -175,9 +189,9 @@
 
 # tests
 
-option(BUILD_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
-
-if (BUILD_TESTING)
+option(BUILD_HOEL_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
+
+if (BUILD_HOEL_TESTING)
     include(FindCheck)
     find_package(Check)
     if (CHECK_FOUND)
@@ -191,19 +205,13 @@
         set(CMAKE_CTEST_COMMAND ctest -V)
 
         set(TST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test)
-        set(LIBS hoel ${LIBS} ${CHECK_LIBRARIES})
+        set(LIBS hoel yder orcania ${LIBS} ${CHECK_LIBRARIES})
         if (NOT WIN32)
             find_package(Threads REQUIRED)
             set(LIBS ${LIBS} ${SUBUNIT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} m rt)
         endif ()
 
-        set(TESTS
-                str_test
-                split_test
-                memory_test)
-        if (WITH_JANSSON)
-            set(TESTS ${TESTS} jansson_test)
-        endif ()
+        set(TESTS core)
 
         configure_file(
                 "${CMAKE_MODULE_PATH}/CTestCustom.cmake.in"
@@ -228,7 +236,7 @@
 configure_file(libhoel.pc.in libhoel.pc @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libhoel.pc
-        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 set(TARGETS hoel)
 if (BUILD_STATIC)
@@ -279,9 +287,20 @@
 set(PACKAGE_IGNORED_FILES
         "${CMAKE_CURRENT_BINARY_DIR}/;/.git/;.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
 
+set(CPACK_PACKAGE_NAME "libhoel")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Database abstraction library in C")
 set(CPACK_GENERATOR "TGZ;DEB")
-
-set(CPACK_DEBIAN_PACKAGE_NAME "libhoel")
+set(CPACK_PACKAGE_VERSION_MAJOR ${LIBRARY_VERSION_MAJOR})
+set(CPACK_PACKAGE_VERSION_MINOR ${LIBRARY_VERSION_MINOR})
+set(CPACK_PACKAGE_VERSION_PATCH ${LIBRARY_VERSION_PATCH})
+
+option(BUILD_RPM "Build a RPM for your system" OFF)
+if (BUILD_RPM)
+  set(CPACK_GENERATOR "TGZ;DEB;RPM")
+  set(CPACK_RPM_PACKAGE_LICENSE "LGPL")
+  set(CPACK_RPM_PACKAGE_URL "http://babelouest.github.io/hoel/")
+endif ()
+
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "mail@babelouest.org")
 set(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${PROJECT_DESCRIPTION})
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/babelouest/hoel")
