=== examples/Makefile ===
--- 
+++ 
@@ -14,9 +14,10 @@
 # GNU GENERAL PUBLIC LICENSE for more details.
 #
 CC=gcc
-CFLAGS=-c -Wall -D_REENTRANT -I$(PREFIX)/include $(ADDITIONALFLAGS)
+HOEL_INCLUDE=../include
+CFLAGS=-c -Wall -I$(HOEL_INCLUDE) -D_REENTRANT -I$(PREFIX)/include $(ADDITIONALFLAGS)
 HOEL_LOCATION=../src
-LIBS=-lc -lhoel -ljansson -lyder -L$(HOEL_LOCATION)
+LIBS=-lc -lhoel -ljansson -lyder -lorcania -L$(HOEL_LOCATION)
 ADDITIONALFLAGS=-O3
 
 all: libhoel.so example_sqlite3 example_mariadb example_pgsql example_mariadb_json
