=== debian/changelog ===
hoel (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 12 Oct 2018 18:27:04 -0400
