=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	, libpq-dev
 	, libmariadbclient-dev
   , cmake
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/babelouest/hoel
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/hoel.git
